cancel
Showing results for 
Search instead for 
Did you mean: 

BI 4.0 WIS 30674 Error

Former Member
0 Kudos
237

I realize that this issue has been covered in the past, but we are currently experiencing this issue where answers made in previous posts did not really have any relevance or addressed the specific issue.  Basically, we downloaded the entire SAP Business Objects 4.0 Edge Trial package (September 10th, 2012 to be exact).  Opening the Web Intelligence tool, the “About” shows our tool at version 14.0.2, yet when we save a WID file and try opening it up over on bi.ondemand.com (using SAP’s ondemand site for the moment), we continually get the error saying it can’t open because our WID file version is:  12.2.2.453

We do not have any previous version, like XI3.0, so backwards compatibility issues don’t’ have a lot of relevance in this case.  We are not running this against any BO server at the moment either; basically just logging in using the “Standalone” entry.   We’re using the Web Service for our connection to our datasource; utilizing SAP’s BIOnDemand website to grab an excel file I had uploaded to my account.  So in all, it’s not very complex, yet despite the fact that our tool version shows 14.0.2, it seems to be saving files as an earlier version.  Any ideas?

Accepted Solutions (0)

Answers (1)

Answers (1)

denis_konovalov
Active Contributor
0 Kudos

what is the exact workflow that you are using ?

what does it mean "opening it up over on bi.ondemand.com" ?

How do you save the webi to that site ?

Can you post screenshot of the error ?

Former Member
0 Kudos

Basically after downloading and installing the trial version of Business Objects Edge 4.0, I opened up the Web Intelligence Rich Client tool and chose the "Web Services" option to load data from https://bi.ondemand.com/  Within there, basically chose a one of my xls files loaded to my account as the datasource.  Not an issue there; data loaded okay, etc..  I just dragged a few items onto my WID template.  At this point, data and design formatting isn't a priority.   Once I loaded a few items, I simply opted to save the WID file locally on my desktop and then went through the following steps:

  • logged into https://bi.ondemand.com/ with my login (I have a free account)
  • clicked on "Reports" which is located under "My Stuff"
  • Selected the "Add New" button and chose the "Upload Report" option
  • On the next screen, selected "Web Intelligence Reports"
  • browsed to file location (on desktop) and loaded the WIDI file
  • Back under the "Reports" tab, my WID file can be then selected to view
  • click the file to view, and get the WIS 30674 error

Hopefully this helps.  I also tested opening up the WID file on my iPad as well, using the SAP BI mobile app and logging in to my https://bi.ondemand.com/ account and get the exact same error.

Here's a screenshot of my Web Intelligence Rich Client tool version info:

Thanks for the interest and reply.

denis_konovalov
Active Contributor
0 Kudos

I wonder if BI OnDemant is not Xi3.1 based and the version mismatch comes from that end or not.

However, the question is better asked here : http://scn.sap.com/community/businessobjects-bi-ondemand

Former Member
0 Kudos

I thought about the mismatch issue coming from their side as well, but then it would only be logical that the version comparison difference would be the opposite, where the WID file version shows a higher value than what BI Ondemand is asking for.  It would seem almost counter intuitive with the recent huge push in the Mobile area to not have your server side updated to handle the latest BI 4.0 Platform tools, especially when the mobile app is set up to connect to the site; another mobile app connects to Streamworks.   These are all SAP controlled applications and websites, just seems odd.  I tested the Crystal Reports upload; that seems to work just fine.   Oh well, I think I'm more or less getting into a gripe mode.  I'll stop and pose a similar question over on the bi-ondemand community secion.

Thanks,

Craig

denis_konovalov
Active Contributor
0 Kudos

well, its easy to test where the problem is - publish this doc to your Edge repository and see if you can view it in BILaunchpad - if that works - the problem comes from BIOnDemand .

Your package is on SP02 level, maybe BIOnDemand is on SP04 already or maybe it's on BI4.0 RTM